6.0.0-git
2019-03-18

[#11088] loginparams not asked in login.php
Summary loginparams not asked in login.php
Queue Gollem
Queue Version 2.0.1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester paul.de_vlieger (at) moniut (dot) univ-bpclermont (dot) fr
Created 2012-03-19 (2555 days ago)
Due
Updated 2012-08-29 (2392 days ago)
Assigned
Resolved 2012-03-27 (2547 days ago)
Milestone 2.0.2
Patch No

History
2012-08-29 12:34:23 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit de811ece6531cb5a53dbedefed39277c8065aea6
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 27 15:16:35 2012 +0200

     Show correct login fields.

     Don't show user name and password fields on login page if not required.
     Display 'loginparams' on login screen (Bug #11088).

  gollem/docs/CHANGES        |    2 ++
  gollem/js/login.js         |   28 ++++++++++++++++++++++++++++
  gollem/lib/Application.php |   17 ++++++++++++++++-
  gollem/lib/Auth.php        |   12 ++++++++----
  gollem/package.xml         |    4 ++++
  5 files changed, 58 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/de811ece6531cb5a53dbedefed39277c8065aea6
2012-03-27 13:25:32 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 2.0.2
 
2012-03-27 13:23:44 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit edd0c143967f04b9e88899c4b4164c9bf8007140
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 27 15:21:04 2012 +0200

     Show correct login fields.

     Don't show user name and password fields on login page if not required.
     Display 'loginparams' on login screen (Bug #11088).

     Conflicts:

             gollem/docs/CHANGES
             gollem/lib/Auth.php
             gollem/package.xml

  gollem/docs/CHANGES        |    2 ++
  gollem/js/login.js         |   28 ++++++++++++++++++++++++++++
  gollem/lib/Application.php |   17 ++++++++++++++++-
  gollem/lib/Auth.php        |    6 +++---
  gollem/package.xml         |    4 ++++
  5 files changed, 53 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/edd0c143967f04b9e88899c4b4164c9bf8007140
2012-03-27 13:21:39 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit edd0c143967f04b9e88899c4b4164c9bf8007140
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 27 15:21:04 2012 +0200

     Show correct login fields.

     Don't show user name and password fields on login page if not required.
     Display 'loginparams' on login screen (Bug #11088).

     Conflicts:

             gollem/docs/CHANGES
             gollem/lib/Auth.php
             gollem/package.xml

  gollem/docs/CHANGES        |    2 ++
  gollem/js/login.js         |   28 ++++++++++++++++++++++++++++
  gollem/lib/Application.php |   17 ++++++++++++++++-
  gollem/lib/Auth.php        |    6 +++---
  gollem/package.xml         |    4 ++++
  5 files changed, 53 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/edd0c143967f04b9e88899c4b4164c9bf8007140
2012-03-27 13:21:30 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit de811ece6531cb5a53dbedefed39277c8065aea6
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 27 15:16:35 2012 +0200

     Show correct login fields.

     Don't show user name and password fields on login page if not required.
     Display 'loginparams' on login screen (Bug #11088).

  gollem/docs/CHANGES        |    2 ++
  gollem/js/login.js         |   28 ++++++++++++++++++++++++++++
  gollem/lib/Application.php |   17 ++++++++++++++++-
  gollem/lib/Auth.php        |   12 ++++++++----
  gollem/package.xml         |    4 ++++
  5 files changed, 58 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/de811ece6531cb5a53dbedefed39277c8065aea6
2012-03-19 09:52:39 paul (dot) de_vlieger (at) moniut (dot) univ-bpclermont (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ loginparams not asked in login.php
Queue ⇒ Gollem
Milestone ⇒ 2.0.1
Patch ⇒ No
Reply to this comment
loginparams not asked in login.php ( smb backend with hostspec / share ).
Works in (H3 (1.1.2) ).

/gollem/config/backends.local.php :

  $backends['other'] = array(
     'disabled' =>  false,
     'name' =>  'Other Server',
     'driver' =>  'smb',
     'hordeauth' =>  false,
     'params' =>  array(
          'port' =>  139,
         'smbclient' =>  '/usr/local/bin/smbclient',
      ),
     'loginparams' =>  array(
     'hostspec' =>  'Server Name',
     'share' =>  'Share',
     ),
     'attributes' =>  array('type','name','edit','download','modified','size' )
  );

Saved Queries